Subject: Re: [PATCH net-next] route: allow to route in a peer netns via lwt framework

From: Nicolas Dichtel <[email-masked]>
Date: Fri, 24 Jul 2015 16:11:03 +0200

Le 24/07/2015 15:50, roopa a écrit :
> On 7/24/15, 5:24 AM, Nicolas Dichtel wrote:
>> Sure, but my goal was to not create a new .h file just for these two helpers.
>> It's related to lwtunnel, thus I was thinking they can go here.
> ok..., since your lwt namespace functions went into net_namespace.c, I was thinking
> these should really go into net_namespace.h. Does that work for you ?
Not so easy, it's a problem of chicken and egg. If I add this to
net/net_namespace.h, I need to include net/lwtunnel.h but this file already
includes net/net_namespace.h (included directly or indirectly by most of the
network headers).

Regards,
Nicolas